---
apiVersion: projectcalico.org/v3
kind: GlobalNetworkPolicy
metadata:
  name: allow-grafana-opentelemetry-collector-scraping
spec:
  description: Allow opentelemetry-collector to scrape workloads in labeled namespaces

  endpointSelector:
    matchLabels:
      k8s:io.cilium.k8s.namespace.labels.security.wunderba.eu/scraping: "enabled"

  ingress:
  - fromEndpoints:
    - matchLabels:
        io.kubernetes.pod.namespace: core-opentelemetry
        app.kubernetes.io/name: opentelemetry-collector
---
apiVersion: projectcalico.org/v3
kind: GlobalNetworkPolicy
metadata:
  name: allow-grafana-opentelemetry-collector-metrics-server-scraping
spec:
  description: Allow opentelemetry-collector to scrape metrics-server in kube-system

  endpointSelector:
    matchLabels:
      io.kubernetes.pod.namespace: kube-system
      k8s-app: metrics-server

  ingress:
  - fromEndpoints:
    - matchLabels:
        io.kubernetes.pod.namespace: core-opentelemetry
        app.kubernetes.io/name: opentelemetry-collector
---
apiVersion: projectcalico.org/v3
kind: GlobalNetworkPolicy
metadata:
  name: allow-grafana-opentelemetry-collector-kube-dns-scraping
spec:
  description: Allow opentelemetry-collector to scrape kube-dns in kube-system

  endpointSelector:
    matchLabels:
      io.kubernetes.pod.namespace: kube-system
      k8s-app: kube-dns

  ingress:
  - fromEndpoints:
    - matchLabels:
        io.kubernetes.pod.namespace: core-opentelemetry
        app.kubernetes.io/name: opentelemetry-collector
